> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recently modified deals

> Get recently modified deals in an account sorted by their last modified date, starting with the most recently modified deals. Use the offset parameter described below to page backwards through the deals. Note: This endpoint will only return records modified in the last 30 days, or the 10k most recently modified records. If you need to get all of your deals, please use the get all deals endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.deals.read', 'crm.objects.deals.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-deals-v1.json GET /deals/v1/deal/recent/modified
openapi: 3.0.0
info:
  title: CRM Deals API v1
  version: 1.0.0
  description: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-introduction: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-api-use-case: >-
    When a sales rep is negotiating a potential purchase with a prospective
    customer, create a deal record to track the negotiation process. When the
    customer later makes their purchase, you can update the deal to a closed
    stage.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /deals/v1/deal/recent/modified:
    get:
      summary: Get recently modified deals
      description: >-
        Get recently modified deals in an account sorted by their last modified
        date, starting with the most recently modified deals. Use the offset
        parameter described below to page backwards through the deals. Note:
        This endpoint will only return records modified in the last 30 days, or
        the 10k most recently modified records. If you need to get all of your
        deals, please use the get all deals endpoint.
      operationId: getdealsv1dealrecentmodified
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of deals to return in
            your API call. The default for this parameter (if it isn't
            specified) is 20 deals. The maximum amount of deals you can have
            returned to you via this parameter is 100.
          schema:
            type: integer
            maximum: 100
        - name: offset
          in: query
          required: false
          description: >-
            Used to page backwards through recent deals. Use the value of the
            `offset` field returned in the previous response to get the next set
            of deal records.
          schema:
            type: integer
        - name: since
          in: query
          required: false
          description: >-
            Only return deals modified after and including timestamp x. x must
            be a UNIX formatted timestamp in milliseconds.
          schema:
            type: integer
        - name: includePropertyVersions
          in: query
          required: false
          description: >-
            By default, you will only get data for the most recent version of a
            property in the "versions" data. If you include this parameter, you
            will get data for all previous versions.
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response - Recently modified deals
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                  hasMore:
                    type: boolean
                  offset:
                    type: integer
                  total:
                    type: integer
      security:
        - oauth2:
            - crm.objects.deals.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.read
        - private_apps_legacy: []
components: {}

````